CVE-2020-17525

NameCVE-2020-17525
DescriptionSubversion's mod_authz_svn module will crash if the server is using in-repository authz rules with the AuthzSVNReposRelativeAccessFile option and a client sends a request for a non-existing repository URL. This can lead to disruption for users of the service. This issue was fixed in mod_dav_svn+mod_authz_svn servers 1.14.1 and mod_dav_svn+mod_authz_svn servers 1.10.7
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2646-1, DSA-4851-1
NVD severitymedium
Debian Bugs982464

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
subversion (PTS)stretch1.9.5-1+deb9u5vulnerable
stretch (security)1.9.5-1+deb9u6fixed
buster, buster (security)1.10.4-1+deb10u2fixed
bullseye, sid1.14.1-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
subversionsourcestretch1.9.5-1+deb9u6DLA-2646-1
subversionsourcebuster1.10.4-1+deb10u2DSA-4851-1
subversionsource(unstable)1.14.1-1982464

Notes

https://subversion.apache.org/security/CVE-2020-17525-advisory.txt

Search for package or bug name: Reporting problems